ParameterMetadata (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.engine.query.spi
Class ParameterMetadata

    java.lang.Object
      org.hibernate.engine.query.spi.ParameterMetadata

All Implemented Interfaces:
  Serializable

    public class ParameterMetadata

extends Object
implements Serializable

Encapsulates metadata about parameters encountered within a query.

See Also:
  Serialized Form

Constructor Summary
`ParameterMetadata(OrdinalParameterDescriptor[] ordinalDescriptors, Map namedDescriptorMap)` Instantiates a ParameterMetadata container.

Method Summary
`NamedParameterDescriptor` | `getNamedParameterDescriptor(String name)`
`Type` | `getNamedParameterExpectedType(String name)`
`Set` | `getNamedParameterNames()`
`int[]` | `getNamedParameterSourceLocations(String name)`
`int` | `getOrdinalParameterCount()`
`OrdinalParameterDescriptor` | `getOrdinalParameterDescriptor(int position)`
`Type` | `getOrdinalParameterExpectedType(int position)`
`int` | `getOrdinalParameterSourceLocation(int position)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParameterMetadata

    public ParameterMetadata(OrdinalParameterDescriptor[] ordinalDescriptors,
                             Map namedDescriptorMap)

  Instantiates a ParameterMetadata container.

  Parameters:
    `ordinalDescriptors` -
    `namedDescriptorMap` -

Method Detail

### getOrdinalParameterCount

    public int getOrdinalParameterCount()

### getOrdinalParameterDescriptor

    public OrdinalParameterDescriptor getOrdinalParameterDescriptor(int position)

### getOrdinalParameterExpectedType

    public Type getOrdinalParameterExpectedType(int position)

### getOrdinalParameterSourceLocation

    public int getOrdinalParameterSourceLocation(int position)

### getNamedParameterNames

    public Set getNamedParameterNames()

### getNamedParameterDescriptor

    public NamedParameterDescriptor getNamedParameterDescriptor(String name)

### getNamedParameterExpectedType

    public Type getNamedParameterExpectedType(String name)

### getNamedParameterSourceLocations

    public int[] getNamedParameterSourceLocations(String name)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.